NNG_INPROC_REGISTER(3)

NAME
nng_inproc_register - register inproc transport

SYNOPSIS

    #include <nng/transport/inproc/inproc.h>
    int nng_inproc_register(void);

DESCRIPTION

The nng_inproc_register() function registers the inproc transport for use.

    Note

    This function is deprecated, and may be removed from a future release. It is no longer necessary to explicitly register transports.

RETURN VALUES

This function returns 0 on success, and non-zero otherwise.

ERRORS

NNG_ENOMEM
    Insufficient memory is available.

NNG_ENOTSUP
    The transport is not supported.

SEE ALSO

nng_inproc(5), nng(7)